## ukui-session-manager 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)
project(ukui-session-manager)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
# Handle the Qt rcc code generator automatically.
set(CMAKE_AUTORCC ON)
# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)

include(GNUInstallDirs)

# Enable funcion names and line numbers even for release builds
add_definitions("-DQT_MESSAGELOGCONTEXT")

# Find the QtWidgets library
find_package(Qt5 COMPONENTS Widgets Core DBus Multimedia REQUIRED)
find_package(Qt5LinguistTools)
find_package(KF5IdleTime)

# For debug: cmake -DCMAKE_BUILD_TYPE=debug
set(CMAKE_CXX_FLAGS_DEBUG "-g -O0")
set(CMAKE_C_FLAGS_DEBUG "-g -O0")

# i18n
set(UKUI_TRANSLATIONS_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ukui/translations)
add_definitions(
    -DUKUI_TRANSLATIONS_DIR="${UKUI_TRANSLATIONS_DIR}"
)
if (NOT DEFINED UPDATE_TRANSLATIONS)
    set(UPDATE_TRANSLATIONS "No")
endif()

# To create a new ts file: lupdate -recursive . -target-language en_US -ts translations/en_US.ts
file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/*.ts")

# cmake -DUPDATE_TRANSLATIONS=yes
if (UPDATE_TRANSLATIONS)
    qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()
add_custom_target(translations ALL DEPENDS ${QM_FILES})
install(FILES ${QM_FILES} DESTINATION ${UKUI_TRANSLATIONS_DIR}/${PROJECT_NAME})

add_subdirectory(ukui-session)
add_subdirectory(tools)
add_subdirectory(data)

=== ukui-session/CMakeLists.txt ===
# Populate a CMake variable with the sources
set(ukui-session_SRCS
    main.cpp
    sessionapplication.cpp
    modulemanager.cpp
    ukuimodule.cpp
    idlewatcher.cpp
    sessiondbusadaptor.h
    idlewatcher.cpp
    idlewatcher.h
    idleadbusdaptor.h
    xdgautostart.cpp
    xdgautostart.h
    xdgdesktopfile.cpp
    xdgdesktopfile.h
    xdgdirs.cpp
    xdgdirs.h
    xdgmacros.h
    ../tools/ukuipower.cpp
    ../tools/powerprovider.cpp
)

find_package(QT5XDG )
#find_package(PkgConfig)
#pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
#include_directories(${GSETTINGS_QT_INCLUDES})

add_executable(ukui-session ${ukui-session_SRCS}
               ${PROJECT_SOURCE_DIR}/data/music.qrc)
target_link_libraries(ukui-session Qt5::Widgets Qt5::Core Qt5Xdg Qt5::Multimedia KF5::IdleTime)
#${GSETTINGS_QT_LIBRARIES}

install(TARGETS ukui-session DESTINATION bin)

## ukui-session-manager 1.0.0

=== debian/changelog ===
ukui-session-manager (1.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release (LP: #1664256)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 05 Mar 2017 15:03:42 +0800

=== debian/control ===
Source: ukui-session-manager
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
Uploaders: yilei <yilei@kylinos.cn>,
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgtk-3-dev (>= 3.14),
               libice-dev,
               libsm-dev,
               libstartup-notification0-dev,
               libsystemd-dev [linux-any],
               libx11-dev,
               libxau-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               mate-common,
               xmlto,
               xsltproc,
Homepage: http://www.ukui.org/

Package: ukui-session-manager
Architecture: any
Depends: dbus-x11,
         mate-desktop-common,
         ubuntukylin-default-settings (>= 1.3.17),
         upower,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: marco,
            mate-panel,
            mate-polkit,
            mate-settings-daemon,
Provides: x-session-manager,
Description: Session manager of the UKUI desktop environment
 This package contains a session that can be started from a display
 manager such as MDM. It will load all necessary applications for a
 full-featured user session.
 .
 The session manager also features the ability to save a running session
 and restore it later.
 .
 This version is configured to start the UKUI desktop, based on the
 MATE panel.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ukui-session-manager-$1\.tar\.gz/ \
  https://github.com/ukui/ukui-session-manager/releases .*/v?(\d\S+)\.tar\.gz

## ukui-session-manager 1.0.2

=== debian/changelog ===
ukui-session-manager (1.0.2-0ubuntu1) artful; urgency=medium

  * Also launch 'OnlyShowIn=MATE' apps.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 13 Sep 2017 10:27:19 +0800

ukui-session-manager (1.0.1-0ubuntu1) artful; urgency=medium

  * Replace deprecated upower functions with ConsoleKit2 equivatents.
  * Set GNOME_DESKTOP_SESSION_ID=this-is-deprecated (LP: #1681848)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 26 Jun 2017 17:17:02 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
 Uploaders: yilei <yilei@kylinos.cn>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1.1),
                intltool,
@@ -31,7 +31,6 @@
 Depends: dbus-x11,
          mate-desktop-common,
          ubuntukylin-default-settings (>= 1.3.17),
-         upower,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: marco,

=== debian/rules ===
#!/usr/bin/make -f

DHFLAGS=--parallel

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
	SYSTEMD_OPTS := "--without-systemd"
else
	SYSTEMD_OPTS := ""
endif

%:
	dh $@ $(DHFLAGS)

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure $(DHFLAGS) -- \
		--disable-silent-rules \
		--localstatedir=/var/lib \
		--libexecdir=/usr/lib \
		--with-gtk=3.0 \
		$(SYSTEMD_OPTS)

override_dh_strip:
	dh_strip --dbgsym-migration='ukui-session-manager-dbg (<< 1.14.0-2~)'

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ukui-session-manager 1.1.2

=== debian/changelog ===
ukui-session-manager (1.1.2-0ubuntu1) bionic; urgency=medium

  * Use $(DEB_HOST_MULTIARCH) to replace the hard code in desktop
    file. (LP: #1762124)
  * Fix the wrong logout button type. (LP: #1762117)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 10 Apr 2018 15:58:33 +0800

ukui-session-manager (1.1.1-0ubuntu1) bionic; urgency=medium

  * Use ukui-settings-daemon to replace mate-settings-daemon.
  * Use ukwm to replace marco.
  * Don't launch 'OnlyShowIn=MATE' apps, since we have forked most of
    them.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 01 Apr 2018 15:38:01 +0800

ukui-session-manager (1.1.0-0ubuntu1) bionic; urgency=medium

  * Redesign the logout dialog and shutdown dialog.
  * Update dbus and systemd user-session to get all user-defined environment
    when the session starts.
  * Avoid deprecated gdk_screen_get_number, gdk_screen_make_display_name
    gtk_show_uri.
  * Use ukui-panel to replace mate-panel.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 27 Feb 2018 09:14:37 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
-Uploaders: yilei <yilei@kylinos.cn>,
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 9),
+Uploaders: handsome_feng <jianfengli@ubuntukylin.com>,
+           yilei <yilei@kylinos.cn>,
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdbus-glib-1-dev,
@@ -25,18 +26,20 @@
                xmlto,
                xsltproc,
 Homepage: http://www.ukui.org/
+Vcs-Git: https://github.com/ukui/ukui-session-manager.git
+Vcs-Browser: https://github.com/ukui/ukui-session-manager
 
 Package: ukui-session-manager
 Architecture: any
 Depends: dbus-x11,
          mate-desktop-common,
-         ubuntukylin-default-settings (>= 1.3.17),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: marco,
-            mate-panel,
+Recommends: ukwm,
+            ukui-panel,
             mate-polkit,
-            mate-settings-daemon,
+            ukui-settings-daemon,
+Suggests: ubuntukylin-default-settings (>= 1.3.17),
 Provides: x-session-manager,
 Description: Session manager of the UKUI desktop environment
  This package contains a session that can be started from a display
@@ -47,4 +50,4 @@
  and restore it later.
  .
  This version is configured to start the UKUI desktop, based on the
- MATE panel.
+ UKUI panel.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
	SYSTEMD_OPTS := "--without-systemd"
else
	SYSTEMD_OPTS := ""
endif

%:
	dh $@

override_dh_install:
	mkdir -p debian/ukui-session-manager/usr/share/ukui/autostart
	sed "s|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|" debian/polkit-mate-authentication-agent-1.desktop.in > debian/ukui-session-manager/usr/share/ukui/autostart/polkit-mate-authentication-agent-1.desktop
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_test:
	DEB_BUILD_OPTIONS=nocheck dh_auto_test

override_dh_auto_configure:
	# upstream tarball is without configure. autogen.sh will create it
	NOCONFIGURE=1 ./autogen.sh
	dh_auto_configure -- \
		--disable-silent-rules \
		--localstatedir=/var/lib \
		--libexecdir=/usr/lib \
		--with-gtk=3.0 \
		$(SYSTEMD_OPTS)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ukui-session-manager-$1\.tar\.gz/ \
  https://github.com/ukui/ukui-session-manager/releases .*/v?(\d\S+)\.tar\.gz

## ukui-session-manager 1.1.3

=== debian/changelog ===
ukui-session-manager (1.1.3-0ubuntu1) cosmic; urgency=medium

  * Remove useless gsettings.
  * Fix build warning.
  * Show shortcuts dialog when first login.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 23 Sep 2018 14:56:09 +0800

## ukui-session-manager 1.1.3.1

=== debian/changelog ===
ukui-session-manager (1.1.3.1-1) unstable; urgency=medium

  * New upstream minor release

 -- Aron Xu <aron@debian.org>  Tue, 23 Oct 2018 00:16:02 +0800

ukui-session-manager (1.1.3-1) unstable; urgency=medium

  * Remove useless gsettings.
  * Fix build warning.
  * Show shortcuts dialog when first login.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 23 Sep 2018 14:56:09 +0800

ukui-session-manager (1.1.2-1) unstable; urgency=medium

  * Use $(DEB_HOST_MULTIARCH) to replace the hard code in desktop
    file.
  * Fix the wrong logout button type.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 10 Apr 2018 15:58:33 +0800

ukui-session-manager (1.1.1-1) unstable; urgency=medium

  * Use ukui-settings-daemon to replace mate-settings-daemon.
  * Use ukwm to replace marco.
  * Don't launch 'OnlyShowIn=MATE' apps, since we have forked most of
    them.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 01 Apr 2018 15:38:01 +0800

ukui-session-manager (1.1.0-1) unstable; urgency=medium

  * Redesign the logout dialog and shutdown dialog.
  * Update dbus and systemd user-session to get all user-defined environment
    when the session starts.
  * Avoid deprecated gdk_screen_get_number, gdk_screen_make_display_name
    gtk_show_uri.
  * Use ukui-panel to replace mate-panel.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 27 Feb 2018 09:14:37 +0800

ukui-session-manager (1.0.2-2) unstable; urgency=medium

  * Add d/settings from previous default settings package.

 -- Aron Xu <aron@debian.org>  Mon, 06 Nov 2017 10:32:42 +0800

ukui-session-manager (1.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Also launch 'OnlyShowIn=MATE' apps.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 13 Sep 2017 10:27:19 +0800

ukui-session-manager (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #872969)

 -- Aron Xu <aron@debian.org>  Sat, 26 Aug 2017 17:17:02 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ukui-session-manager
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kylin Team <ukui@kylinos.cn>
-Uploaders: handsome_feng <jianfengli@ubuntukylin.com>,
-           yilei <yilei@kylinos.cn>,
-Standards-Version: 4.1.4
+Maintainer: Kylin Team <team+kylin@tracker.debian.org>
+Uploaders: Aron Xu <aron@debian.org>,
+           handsome_feng <jianfengli@ubuntukylin.com>,
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                intltool,
@@ -39,7 +38,6 @@
             ukui-panel,
             mate-polkit,
             ukui-settings-daemon,
-Suggests: ubuntukylin-default-settings (>= 1.3.17),
 Provides: x-session-manager,
 Description: Session manager of the UKUI desktop environment
  This package contains a session that can be started from a display

## ukui-session-manager 1.1.5

=== debian/changelog ===
ukui-session-manager (1.1.5-1) experimental; urgency=medium

  * Disable nm-applet when kylin-nm exists.
  * Update the translation.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 20 Mar 2019 17:30:43 +0800

ukui-session-manager (1.1.4-0ubuntu1) disco; urgency=medium

  * Add keyboard accelerators to logout button.
  * Update the translations.
  * Move shortcuts from ukui-session to single tools.
  * Merge from mate-session-manager:
    - Avoid compile warning for g_type_class_add_private.
    - Disable deprecation warnings for discheck.
    - Add a delay setting to startup manager.
    - Migrate from dbus-glib to gdbus.
    - Avoid deprecated 'g_settings_list_schemas'.
    - Don't wait for all clients to exit before exiting.
    - Add api for detecting if this is the last session for a user.
    - Restart user bus if last graphical session.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 12 Feb 2019 16:25:45 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 11),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 11.1.3),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdbus-glib-1-dev,
@@ -36,7 +36,7 @@
          ${shlibs:Depends},
 Recommends: ukwm,
             ukui-panel,
-            mate-polkit,
+            ukui-polkit,
             ukui-settings-daemon,
 Provides: x-session-manager,
 Description: Session manager of the UKUI desktop environment

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 	dh $@
 
 override_dh_install:
-	mkdir -p debian/ukui-session-manager/usr/share/ukui/autostart
-	sed "s|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|" debian/polkit-mate-authentication-agent-1.desktop.in > debian/ukui-session-manager/usr/share/ukui/autostart/polkit-mate-authentication-agent-1.desktop
 	dh_install
 
 override_dh_missing:

## ukui-session-manager 1.1.6

=== debian/changelog ===
ukui-session-manager (1.1.6-1) unstable; urgency=medium

  * Upload to unstable.
  * Update tr.po, de.po and zh_HK.po.
  * Fix some typo.
  * debian/control:
    - Bump standards-version to 4.4.0.
    - Bump compat level to 12.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 10 Aug 2019 15:17:08 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11.1.3),
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdbus-glib-1-dev,

## ukui-session-manager 1.1.7

=== debian/changelog ===
ukui-session-manager (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump standards-verstion to 4.4.1.
    - Use debhelper-compat replace debhelper, and remove debian/compat.
    - Add Rules-Requires-Root: no.
  * debian/copyright:
    - Remove COPYING from the copyright entry.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 12 Nov 2019 14:31:38 +0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kylin Team <team+kylin@tracker.debian.org>
 Uploaders: Aron Xu <aron@debian.org>,
            handsome_feng <jianfengli@ubuntukylin.com>,
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                intltool,
                libdbus-glib-1-dev,
@@ -24,6 +24,7 @@
                mate-common,
                xmlto,
                xsltproc,
+Rules-Requires-Root: no
 Homepage: http://www.ukui.org/
 Vcs-Git: https://github.com/ukui/ukui-session-manager.git
 Vcs-Browser: https://github.com/ukui/ukui-session-manager

## ukui-session-manager 2.0.0

=== debian/changelog ===
ukui-session-manager (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Migrate from gtk to qt.
  * debian/control:
    - Bump standards-version to 4.5.0.
    - Add peony, ukui-screensaver to Recommends.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 24 Feb 2020 16:32:42 +0800

=== debian/control ===
Source: ukui-session-manager
Section: x11
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>,
Build-Depends: debhelper-compat (= 12),
               cmake,
               libx11-dev,
               xdg-user-dirs,
               libkf5idletime-dev,
               qtbase5-dev,
               libsystemd-dev,
               qttools5-dev,
               qtmultimedia5-dev,
               libqt5xdg-dev,
Rules-requires-root: no
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/ukui/ukui-session-manager
Vcs-Git: https://github.com/ukui/ukui-session-manager.git
Homepage: https://github.com/ukui/ukui-session-manager

Package: ukui-session-manager
Architecture: any
Depends: ukui-themes | ubuntukylin-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: peony,
            ukwm,
            ukui-panel,
            ukui-polkit,
            ukui-screensaver,
            ukui-settings-daemon,
Provides: x-session-manager
Description: Session manager of the UKUI desktop environment
 This package contains a session that can be started from a display
 manager such as lightdm. It will load all necessary applications for
 a full-featured user session.
 .
 This package contain the session manager component.

## ukui-session-manager 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,10 @@
 add_definitions("-DQT_MESSAGELOGCONTEXT")
 
 # Find the QtWidgets library
-find_package(Qt5 COMPONENTS Widgets Core DBus Multimedia REQUIRED)
+find_package(Qt5 COMPONENTS Widgets Core Multimedia REQUIRED)
 find_package(Qt5LinguistTools)
 find_package(KF5IdleTime)
+find_package(Qt5DBus)
 
 # For debug: cmake -DCMAKE_BUILD_TYPE=debug
 set(CMAKE_CXX_FLAGS_DEBUG "-g -O0")

=== data/CMakeLists.txt ===
file(GLOB SESSION_FILES_IN ukui.desktop)

install(FILES ${SESSION_FILES_IN} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/xsessions")

install(FILES org.ukui.session.gschema.xml DESTINATION "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas")

=== tools/CMakeLists.txt ===
set(tools_SRCS
    main.cpp
    ukuipower.cpp
    powerprovider.cpp
    mainwindow.h
    mainwindow.cpp
    mainwindow.ui
)

add_executable(ukui-session-tools
               ${tools_SRCS}
               ${PROJECT_SOURCE_DIR}/data/images.qrc
               ${PROJECT_SOURCE_DIR}/data/qss.qrc
               ${PROJECT_SOURCE_DIR}/data/music.qrc
               )

target_link_libraries(ukui-session-tools
    Qt5::Widgets
    Qt5::Core
    Qt5::Gui
    Qt5::DBus
    Qt5::Multimedia
)

install(TARGETS
        ukui-session-tools
        DESTINATION bin)

=== ukui-session/CMakeLists.txt ===
--- 
+++ 
@@ -20,14 +20,15 @@
     ../tools/powerprovider.cpp
 )
 
-find_package(QT5XDG )
-#find_package(PkgConfig)
-#pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
-#include_directories(${GSETTINGS_QT_INCLUDES})
+#find_package(QT5XDG )
+find_package(PkgConfig)
+pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
+include_directories(${GSETTINGS_QT_INCLUDES})
+find_package(PkgConfig)
 
 add_executable(ukui-session ${ukui-session_SRCS}
                ${PROJECT_SOURCE_DIR}/data/music.qrc)
-target_link_libraries(ukui-session Qt5::Widgets Qt5::Core Qt5Xdg Qt5::Multimedia KF5::IdleTime)
+target_link_libraries(ukui-session Qt5::Widgets Qt5::Core Qt5::DBus Qt5::Multimedia KF5::IdleTime ${GSETTINGS_QT_LIBRARIES})
 #${GSETTINGS_QT_LIBRARIES}
 
 install(TARGETS ukui-session DESTINATION bin)

=== debian/changelog ===
ukui-session-manager (2.0.2-1) unstable; urgency=medium

  * New upstream bugfix release:
    - Don't crash when the gsettings missing.
    - Set the QT_QPA_PLATFORM_THEME according to the actual situation
      to avoid the icon missing.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 27 Mar 2020 21:40:35 +0800

ukui-session-manager (2.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Add missing QFile include directive.
    - Delete mediaplayer after it finished.
    - Don't launch application with hide=true.
    - Bring back the gsettings to fix that the corresponding settings of
      ukui-control-center does not take effect.
    - Remove the useless gsettings.
    - Fix that can't resuming from idle.
    - Set the scale environment to fix high DPI issues.
  * debian/control:
    - Drop libqt5xdg-dev.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Mar 2020 14:43:39 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libsystemd-dev,
                qttools5-dev,
                qtmultimedia5-dev,
-               libqt5xdg-dev,
+               libgsettings-qt-dev,
 Rules-requires-root: no
 Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/ukui/ukui-session-manager

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
    CMAKE_ARGS += -DWITH_LIBUDEV=ON
else
    CMAKE_ARGS += -DWITH_LIBUDEV=OFF
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CMAKE_ARGS)

## ukui-session-manager 3.0.2

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,16 @@
     powerprovider.cpp
     mainwindow.h
     mainwindow.cpp
+    grab-x11.cpp
+    grab-x11.h
+    xeventmonitor.cpp
+    xeventmonitor.h
     mainwindow.ui
 )
+
+find_package(PkgConfig)
+pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
+include_directories(${GSETTINGS_QT_INCLUDES})
 
 add_executable(ukui-session-tools
                ${tools_SRCS}
@@ -20,6 +28,11 @@
     Qt5::Gui
     Qt5::DBus
     Qt5::Multimedia
+    Qt5::X11Extras
+    ${GSETTINGS_QT_LIBRARIES}
+    -lxcb
+    -lX11
+    -lXtst
 )
 
 install(TARGETS

=== ukui-session/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 find_package(PkgConfig)
 pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
 include_directories(${GSETTINGS_QT_INCLUDES})
-find_package(PkgConfig)
+#find_package(PkgConfig)
 
 add_executable(ukui-session ${ukui-session_SRCS}
                ${PROJECT_SOURCE_DIR}/data/music.qrc)

=== debian/changelog ===
ukui-session-manager (3.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Clean up obsolete x-session-manager alternative on upgrades from buster.
    (Closes: #986819)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 May 2021 10:14:20 +0200

ukui-session-manager (3.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 27 Sep 2020 15:17:37 +0800

ukui-session-manager (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add libglib2.0-bin to depends.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 18 Aug 2020 12:36:33 +0000

ukui-session-manager (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian:
    - drop 99ukui-environment. (Closes: #966482)
    - update watch.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 06 Aug 2020 17:49:34 +0800

ukui-session-manager (2.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 20 Jul 2020 08:12:10 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
                xdg-user-dirs,
                libkf5idletime-dev,
                qtbase5-dev,
-               libsystemd-dev,
                qttools5-dev,
                qtmultimedia5-dev,
                libgsettings-qt-dev,
-Rules-requires-root: no
+               libqt5x11extras5-dev,
+               libxtst-dev,
+               qttools5-dev-tools,
+               pkg-config,
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/ukui/ukui-session-manager
 Vcs-Git: https://github.com/ukui/ukui-session-manager.git
@@ -24,9 +27,11 @@
 Architecture: any
 Depends: ukui-themes | ubuntukylin-theme,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libglib2.0-bin,
+         libqt5multimedia5-plugins,
 Recommends: peony,
-            ukwm,
+            ukui-kwin | ukwm,
             ukui-panel,
             ukui-polkit,
             ukui-screensaver,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
     CMAKE_ARGS += -DWITH_LIBUDEV=ON

## ukui-session-manager 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,13 +10,15 @@
 # Create code from a list of Qt designer ui files
 set(CMAKE_AUTOUIC ON)
 
+set(CMAKE_CXX_STANDARD 11)
+
 include(GNUInstallDirs)
 
 # Enable funcion names and line numbers even for release builds
 add_definitions("-DQT_MESSAGELOGCONTEXT")
 
 # Find the QtWidgets library
-find_package(Qt5 COMPONENTS Widgets Core Multimedia REQUIRED)
+find_package(Qt5 COMPONENTS Widgets Core Multimedia X11Extras REQUIRED)
 find_package(Qt5LinguistTools)
 find_package(KF5IdleTime)
 find_package(Qt5DBus)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,7 @@
 install(FILES ${SESSION_FILES_IN} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/xsessions")
 
 install(FILES org.ukui.session.gschema.xml DESTINATION "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas")
+
+install(FILES logout.wav weakup.wav startup.wav shutdown.wav DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ukui/ukui-session-manager")
+
+install(DIRECTORY images DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ukui/ukui-session-manager")

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     xeventmonitor.cpp
     xeventmonitor.h
     mainwindow.ui
+    window.cpp
+    window.h
+    loginedusers.h
 )
 
 find_package(PkgConfig)
@@ -17,9 +20,7 @@
 
 add_executable(ukui-session-tools
                ${tools_SRCS}
-               ${PROJECT_SOURCE_DIR}/data/images.qrc
                ${PROJECT_SOURCE_DIR}/data/qss.qrc
-               ${PROJECT_SOURCE_DIR}/data/music.qrc
                )
 
 target_link_libraries(ukui-session-tools
@@ -33,6 +34,7 @@
     -lxcb
     -lX11
     -lXtst
+    #    -lukui-log4qt
 )
 
 install(TARGETS

=== ukui-session/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,8 @@
     xdgdirs.cpp
     xdgdirs.h
     xdgmacros.h
+    usminhibit.cpp
+    usminhibit.h
     ../tools/ukuipower.cpp
     ../tools/powerprovider.cpp
 )
@@ -24,11 +26,14 @@
 find_package(PkgConfig)
 pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
 include_directories(${GSETTINGS_QT_INCLUDES})
-#find_package(PkgConfig)
 
-add_executable(ukui-session ${ukui-session_SRCS}
-               ${PROJECT_SOURCE_DIR}/data/music.qrc)
-target_link_libraries(ukui-session Qt5::Widgets Qt5::Core Qt5::DBus Qt5::Multimedia KF5::IdleTime ${GSETTINGS_QT_LIBRARIES})
+find_package(PkgConfig)
+pkg_search_module(X11 REQUIRED x11)
+include_directories(${X11_INCLUDES})
+
+add_executable(ukui-session ${ukui-session_SRCS})
+#target_link_libraries(ukui-session Qt5::Widgets Qt5::Core Qt5::DBus Qt5::Multimedia KF5::IdleTime -lukui-log4qt ${GSETTINGS_QT_LIBRARIES} ${X11_LIBRARIES})
+target_link_libraries(ukui-session Qt5::Widgets Qt5::Core Qt5::DBus Qt5::Multimedia KF5::IdleTime ${GSETTINGS_QT_LIBRARIES} ${X11_LIBRARIES})
 #${GSETTINGS_QT_LIBRARIES}
 
 install(TARGETS ukui-session DESTINATION bin)

=== debian/changelog ===
ukui-session-manager (3.0.5-1ubuntu1) jammy; urgency=medium

  * d/patches: add 01-fix-crash-while-play-music.patch. (LP: #1967040)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 31 Mar 2022 10:49:21 +0800

ukui-session-manager (3.0.5-1) unstable; urgency=medium

  * New upstream bugfix release. (LP: #1945570)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 30 Sep 2021 15:16:58 +0800

ukui-session-manager (3.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 05 Aug 2021 15:45:20 +0800

## ukui-session-manager 3.22.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,9 @@
 find_package(Qt5LinguistTools)
 find_package(KF5IdleTime)
 find_package(Qt5DBus)
+find_package(KF5CoreAddons)
+find_package(KF5Config)
+find_package(KF5WindowSystem)
 
 # For debug: cmake -DCMAKE_BUILD_TYPE=debug
 set(CMAKE_CXX_FLAGS_DEBUG "-g -O0")
@@ -36,7 +39,7 @@
     set(UPDATE_TRANSLATIONS "No")
 endif()
 
-# To create a new ts file: lupdate -recursive . -target-language en_US -ts translations/en_US.ts
+# To create a new ts file: lupdate -recursive . -target-language en_US -ts translations/en_US.ts -no-ui-lines
 file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/*.ts")
 
 # cmake -DUPDATE_TRANSLATIONS=yes

=== data/CMakeLists.txt ===
file(GLOB SESSION_FILES_IN ukui.desktop)
file(GLOB WAYLAND_SESSION_FILES_IN ukui-wayland.desktop)

install(FILES ${SESSION_FILES_IN} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/xsessions")
install(FILES ${WAYLAND_SESSION_FILES_IN} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/wayland-sessions")

install(FILES org.ukui.session.gschema.xml DESTINATION "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas")

install(FILES logout.wav weakup.wav startup.wav shutdown.wav DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ukui/ukui-session-manager")

install(FILES ukui-session-wayland DESTINATION "${CMAKE_INSTALL_PREFIX}/bin")

install(DIRECTORY images DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ukui/ukui-session-manager")

install(DIRECTORY config DESTINATION "${CMAKE_INSTALL_PREFIX}/share/ukui/ukui-session-manager")

install(FILES ukui-session-tools.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")

install(PROGRAMS clean_all_jobs.py DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/ukui/ukui-session/logout")

install(FILES com.ubuntu.enable-hibernate.pkla DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/polkit-1/localauthority/50-local.d")

install(FILES 99ukui-environment DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/X11/Xsession.d")

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+find_package(PkgConfig)
+find_package(KF5Screen)
+find_package(KF5Wayland)
+
+include_directories(${KF5Wayland_LIBRARIES})
+pkg_check_modules(KScreen REQUIRED kscreen2)
+
 set(tools_SRCS
     main.cpp
     ukuipower.cpp
@@ -9,12 +16,24 @@
     xeventmonitor.cpp
     xeventmonitor.h
     mainwindow.ui
-    window.cpp
-    window.h
     loginedusers.h
+    lockchecker.h
+    lockchecker.cpp
+    loginedusers.cpp
+    ../ukui-session/xdgdirs.cpp
+    ../ukui-session/xdgdesktopfile.cpp
+    myiconlabel.cpp
+    myiconlabel.h
+    mypushbutton.cpp
+    mypushbutton.h
+    pushbutton.cpp
+    pushbutton.h
+    commonpushbutton.cpp
+    commonpushbutton.h
+    plasma-shell-manager.cpp
+    plasma-shell-manager.h
 )
 
-find_package(PkgConfig)
 pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
 include_directories(${GSETTINGS_QT_INCLUDES})
 
@@ -31,10 +50,14 @@
     Qt5::Multimedia
     Qt5::X11Extras
     ${GSETTINGS_QT_LIBRARIES}
+    ${KF5Wayland_LIBRARIES}
     -lxcb
     -lX11
     -lXtst
-    #    -lukui-log4qt
+    -lukui-log4qt
+    KF5::WaylandServer
+    KF5::WaylandClient
+    KF5::Screen
 )
 
 install(TARGETS

=== ukui-session/CMakeLists.txt ===
# Populate a CMake variable with the sources
set_property(SOURCE ukuikwinsession_interface.h ukuikwinsession_interface.cpp PROPERTY SKIP_AUTOGEN ON)
set(ukui-session_SRCS
    main.cpp
    sessionapplication.cpp
    modulemanager.cpp
    ukuimodule.cpp
    idlewatcher.cpp
    sessiondbusadaptor.h
    idlewatcher.cpp
    idlewatcher.h
    idleadbusdaptor.h
    xdgautostart.cpp
    xdgautostart.h
    xdgdesktopfile.cpp
    xdgdesktopfile.h
    xdgdirs.cpp
    xdgdirs.h
    xdgmacros.h
    usminhibit.cpp
    usminhibit.h
    ../tools/ukuipower.cpp
    ../tools/powerprovider.cpp
    ukuismserver.h
    ukuismserver.cpp
    ukuismclient.h
    ukuismclient.cpp
    ukuismconnection.h
    ukuisessiondebug.cpp
    ukuisessiondebug.h
    sessionmanagercontext.h
    sessionmanagercontext.cpp
    ukuilockinfo.cpp
)

qt5_add_dbus_interface(ukui-session_SRCS org.ukui.KWin.Session.xml ukuikwinsession_interface)

#find_package(QT5XDG )
find_package(PkgConfig)
pkg_search_module(GSETTINGS_QT REQUIRED gsettings-qt)
include_directories(${GSETTINGS_QT_INCLUDES})

pkg_check_modules(GLIB2 REQUIRED glib-2.0)
pkg_check_modules(GIO2 REQUIRED gio-2.0)

pkg_search_module(X11 REQUIRED x11)
include_directories(${X11_INCLUDES})
include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${GIO2_INCLUDE_DIRS})

add_executable(ukui-session ${ukui-session_SRCS})
target_link_libraries(ukui-session
    Qt5::Widgets
    Qt5::Core
    Qt5::DBus
    Qt5::Multimedia
    KF5::IdleTime
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::WindowSystem
    -lSM -lICE
    ${GSETTINGS_QT_LIBRARIES} ${X11_LIBRARIES}
    ${GLIB2_LIBRARIES}
    ${GIO2_LIBRARIES})
#${GSETTINGS_QT_LIBRARIES}

install(TARGETS ukui-session DESTINATION bin)

=== debian/changelog ===
ukui-session-manager (3.22.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 21 Feb 2023 20:17:08 +0800

ukui-session-manager (3.22.0.1-1) experimental; urgency=medium

  *  New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 20 Feb 2023 19:46:03 +0800

=== debian/control ===
Source: ukui-session-manager
Section: x11
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libglib2.0-dev,
               libgsettings-qt-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5idletime-dev,
               libkf5screen-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libsm-dev,
               libukui-log4qt-dev,
               libx11-dev,
               libxtst-dev,
               pkg-config,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xdg-user-dirs
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/ukui/ukui-session-manager
Vcs-Git: https://github.com/ukui/ukui-session-manager.git
Homepage: https://github.com/ukui/ukui-session-manager

Package: ukui-session-manager
Architecture: any
Depends: libglib2.0-bin,
         libqt5multimedia5-plugins,
         python3,
         ubuntukylin-theme | ukui-themes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: peony,
            ukui-panel,
            ukui-polkit,
            ukui-screensaver,
            ukui-settings-daemon,
            ukwm | kwin-x11
Provides: x-session-manager
Description: Session manager of the UKUI desktop environment
 This package contains a session that can be started from a display
 manager such as lightdm. It will load all necessary applications for
 a full-featured user session.
 .
 This package contain the session manager component.

## ukui-session-manager 4.0.0.0

=== debian/changelog ===
ukui-session-manager (4.0.0.0-ok32) nile; urgency=medium

  * 更新繁体翻译

 -- xuzheming <xuzheming@kylinos.cn>  Thu, 06 Mar 2025 14:12:06 +0800

ukui-session-manager (4.0.0.0-ok31) nile; urgency=medium

  * 修复sonar问题

 -- xuzheming <xuzheming@kylinos.cn>  Wed, 26 Feb 2025 16:59:13 +0800

ukui-session-manager (4.0.0.0-ok30) nile; urgency=medium

  * 支持秒级登陆;系统无休眠问题

 -- xuzheming <xuzheming@kylinos.cn>  Wed, 26 Feb 2025 15:29:35 +0800

ukui-session-manager (4.0.0.0-ok29) nile; urgency=medium

  * 增加阿越翻译文件

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 18 Jul 2024 09:56:23 +0800

ukui-session-manager (4.0.0.0-ok28) nile; urgency=medium

  * 更新mn翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 18 Jul 2024 09:56:23 +0800

ukui-session-manager (4.0.0.0-ok27) nile; urgency=medium

  * 关机界面合入锁屏

 -- openkylin3 <openkylin3@openkylin3-hptablet11be0xxx>  Thu, 18 Jul 2024 09:56:23 +0800

ukui-session-manager (4.0.0.0-ok26) nile; urgency=medium

  * wlcom环境，修复获取GetSessionName失败问题

 -- liuliang <liuliang@kylinos.cn>  Thu, 06 Jun 2024 13:56:32 +0800

ukui-session-manager (4.0.0.0-ok25) nile; urgency=medium

  * 恢复注销信号

 -- liuliang <liuliang@kylinos.cn>  Wed, 05 Jun 2024 14:33:28 +0800

ukui-session-manager (4.0.0.0-ok24) nile; urgency=medium

  * 更新维文翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 23 Apr 2024 19:37:09 +0800

ukui-session-manager (4.0.0.0-ok23) nile; urgency=medium

  * 暂时回退代码，等待锁屏一起传包.

 -- liuliang <liuliang@kylinos.cn>  Tue, 23 Apr 2024 19:37:09 +0800

ukui-session-manager (4.0.0.0-ok22) nile; urgency=medium

  * 关机选择界面合入锁屏

 -- liuliang <liuliang@kylinos.cn>  Tue, 16 Apr 2024 17:25:10 +0800

ukui-session-manager (4.0.0.0-ok21) nile; urgency=medium

  * 平板模式接口更换

 -- liuliang <liuliang@kylinos.cn>  Thu, 11 Jan 2024 14:43:03 +0800

ukui-session-manager (4.0.0.0-ok20) nile; urgency=medium

  * 平板桌面需求

 -- liuliang <liuliang@kylinos.cn>  Wed, 10 Jan 2024 15:00:52 +0800

ukui-session-manager (4.0.0.0-ok19) nile; urgency=medium

  * add process manager function

 -- liuliang <liuliang@kylinos.cn>  Thu, 21 Dec 2023 16:33:36 +0800

ukui-session-manager (4.0.0.0-ok18) nile; urgency=medium

  * GLIB_USE_KYLIN_PROCESS_MANAGER/GLIB_FORCE_USE_PORTAL和GTK_USE_PORTAL环境变量设置

 -- liuliang <liuliang@kylinos.cn>  Wed, 13 Dec 2023 10:58:19 +0800

ukui-session-manager (4.0.0.0-ok17) nile; urgency=medium

  * 同步主线代码

 -- liuliang <liuliang@kylinos.cn>  Thu, 07 Dec 2023 16:20:35 +0800

ukui-session-manager (4.0.0.0-ok16) nile; urgency=medium

  *  180631 子 新增多语言支持：维、哈、柯、德、西、法、蒙、藏、繁体 / ukui-session-manager openkylin2.0 多语言翻译支持

 -- liuliang <liuliang@kylinos.cn>  Wed, 29 Nov 2023 17:44:16 +0800

ukui-session-manager (4.0.0.0-ok15) nile; urgency=medium

  * No change rebuild

 -- CI Bot <cibot@openkylin.top>  Thu, 23 Nov 2023 10:40:04 +0000

ukui-session-manager (4.0.0.0-ok14) nile; urgency=medium

  * 设置窗口为 Logout 类型

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Tue, 21 Nov 2023 16:35:22 +0800

ukui-session-manager (4.0.0.0-ok13) nile; urgency=medium

  * 解决wayland下，关机选择界面按钮不可用问题 

 -- liuliang <liuliang@kylinos.cn>  Mon, 20 Nov 2023 14:10:36 +0800

ukui-session-manager (4.0.0.0-ok12) nile; urgency=medium

  * 登陆重构，会话适配拉起小桌面

 -- liuliang <liuliang@kylinos.cn>  Fri, 17 Nov 2023 09:13:27 +0800

ukui-session-manager (4.0.0.0-ok11) yangtze; urgency=medium

  * 解决直接安装时，黑屏问题

 -- liuliang <liuliang@kylinos.cn>  Wed, 07 Jun 2023 06:41:18 +0800

ukui-session-manager (4.0.0.0-ok10) yangtze; urgency=medium

  * 添加GTK_MODULES环境变量

 -- liuliang <liuliang@kylinos.cn>  Mon, 22 May 2023 14:13:49 +0800

ukui-session-manager (4.0.0.0-ok9) yangtze; urgency=medium

  * 解决wayland模式下，锁屏按钮失效问题

 -- liuliang <liuliang@kylinos.cn>  Mon, 15 May 2023 15:43:45 +0800

ukui-session-manager (4.0.0.0-ok8) yangtze; urgency=medium

  * 解决开机自启功能失效问题
  * 分离ukuismserver进程

 -- liuliang <liuliang@kylinos.cn>  Wed, 10 May 2023 17:08:03 +0800

ukui-session-manager (4.0.0.0-ok7) yangtze; urgency=medium

  * 解决关机选择界面左侧窗口透明问题

 -- liuliang <liuliang@kylinos.cn>  Mon, 08 May 2023 15:54:43 +0800

ukui-session-manager (4.0.0.0-ok6) yangtze; urgency=medium

  * Fix build error

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 27 Apr 2023 17:05:22 +0800

ukui-session-manager (4.0.0.0-ok5) yangtze; urgency=medium

  * 解决x环境下，关机选择界面出现标题栏问题

 -- liuliang <liuliang@kylinos.cn>  Thu, 27 Apr 2023 09:22:23 +0800

ukui-session-manager (4.0.0.0-ok4) yangtze; urgency=medium

  * 解决wayland环境下，getsessionname返回error问题

 -- liuliang <liuliang@ubuntukylin.com>  Mon, 10 Apr 2023 08:08:48 +0000

ukui-session-manager (4.0.0.0-ok3) yangtze; urgency=medium

  * add libkysdk-sysinfo-dev dependence. 

 -- liuliang <liuliang@ubuntukylin.com>  Mon, 10 Apr 2023 07:33:03 +0000

ukui-session-manager (4.0.0.0-ok2) yangtze; urgency=medium

  * fix build error.

 -- liuliang <liuliang@ubuntukylin.com>  Mon, 10 Apr 2023 07:19:26 +0000

ukui-session-manager (4.0.0.0-ok1) yangtze; urgency=medium

  * merge upstream 4.0.0.0

 -- liuliang <liuliang@ubuntukylin.com>  Fri, 07 Apr 2023 06:37:46 +0000

ukui-session-manager (2.0.17.1-ok5) yangtze; urgency=medium

  * wayland下不设置缩放.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 17 Aug 2022 15:46:05 +0800

ukui-session-manager (2.0.17.1-ok5~0719) yangtze; urgency=medium

  * close-cd #127701 设置开机自启应用未启动
  * Update depends.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 19 Jul 2022 09:23:04 +0800

ukui-session-manager (2.0.17.1-ok5~0714) yangtze; urgency=medium

  * close-cd #: 127837 开关机音效播放声音很小

 -- Xie Wei <xiewei@kylinos.cn>  Thu, 14 Jul 2022 15:11:48 +0800

ukui-session-manager (2.0.17.1-ok5~0713) yangtze; urgency=medium

  * Initial for openKylin.
  * Add support for App Manager.
  * close-cd #128851 界面不允许拖动
  * close-cd #127725 系统监视器未汉化
  * close-cd #127351 wayland下支持键盘操作
  * close-cd #126327 修复按esc无法退出
  * close-cd #125398 修复可以使用快捷键调出窗口或切换

 -- Xie Wei <xiewei@kylinos.cn>  Mon, 09 May 2022 11:12:43 +0800

=== debian/control ===
Source: ukui-session-manager
Section: x11
Priority: optional
Maintainer: UKUI SIG <ukui@lists.openkylin.top>
Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libglib2.0-dev,
               libgsettings-qt-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5idletime-dev,
               libkf5windowsystem-dev (>= 5.92.0-ok5),
               libqt5x11extras5-dev,
               libsm-dev,
               libukui-log4qt-dev,
               libx11-dev,
               libxtst-dev,
               pkg-config,
               qtbase5-dev,
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xdg-user-dirs,
               libkf5wayland-dev,
               libkf5screen-dev,
               libkysdk-sysinfo-dev,
               libkysdk-systime-dev 
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/ukui/ukui-session-manager
Vcs-Git: https://github.com/ukui/ukui-session-manager.git
Homepage: https://github.com/ukui/ukui-session-manager

Package: ukui-session-manager
Architecture: any
Depends: libglib2.0-bin,
         libqt5multimedia5-plugins,
         openkylin-theme | ukui-themes,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: peony,
            kwin-x11,
            ukui-panel,
            ukui-polkit,
            ukui-screensaver,
            ukui-settings-daemon
Provides: x-session-manager
Description: Session manager of the UKUI desktop environment
 This package contains a session that can be started from a display
 manager such as lightdm. It will load all necessary applications for
 a full-featured user session.
 .
 This package contain the session manager component.

Package: ukui-session-wayland
Architecture: all
Replaces: ukui-session-manager (<<2.0.17.1-ok5)
Breaks: ukui-session-manager (<<2.0.17.1-ok5)
Depends: ukui-session-manager,
         kwin-wayland,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ukui-session-manager
Description: Session of the UKUI desktop environment in wayland
